## rtkit 0.13

=== meson_options.txt ===
option(
        'dbus_interfacedir',
        type: 'string',
        value: '',
        description: 'Directory for D-Bus interface definitions',
)
option(
        'dbus_rulesdir',
        type: 'string',
        value: '',
        description: 'Directory for D-Bus system bus policy rules',
)
option(
        'dbus_systemservicedir',
        type: 'string',
        value: '',
        description: 'Directory for D-Bus system services',
)
option(
        'libsystemd',
        type: 'feature',
        value: 'auto',
        description: 'Use the libsystemd sd-daemon API to communicate with systemd'
)
option(
        'polkit_actiondir',
        type: 'string',
        value: '',
        description: 'Directory for Polkit actions',
)
option(
        'systemd_systemunitdir',
        type: 'string',
        value: '',
        description: 'Directory for systemd system units',
)
option(
        'installed_tests',
        type: 'boolean',
        value: true,
        description: 'Install tests'
)

## rtkit 0.8

=== debian/changelog ===
rtkit (0.8-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Update standards version to 3.9.0, no changes required

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 01 Jul 2010 13:54:43 +1000

rtkit (0.7-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Drop rtkitctl.8 manpage, now upstream

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 26 May 2010 12:37:20 +1000

rtkit (0.6-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 17 Jan 2010 18:39:26 -0500

rtkit (0.4-0ubuntu2) karmic; urgency=low

  * 01_no-ptrace-cap.patch: Do not make use of the CAP_SYS_PTRACE capability

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 14 Aug 2009 15:50:08 +1000

rtkit (0.4-0ubuntu1) karmic; urgency=low

  * New upstream release
  * 01_rename_user_struct.patch: Dropped, applied upstream

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Aug 2009 09:59:35 +0100

rtkit (0.3-0ubuntu2) karmic; urgency=low

  * 01_rename_user_struct.patch: Rename the user struct to rtkit_user in
    rtkit-daemon.c. It turns out that on armel, including signal.h also includes
    sys/user.h through a chain of other header files, causing the compilation of
    rtkit-daemon.c to fail with an error, due to rtkit-daemon redefining the
    user struct. Patch sent upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Jul 2009 15:03:46 +1000

rtkit (0.3-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #394541)
  * Create/remove the rtkit user and group on package install/purge.
  * Reload dbus configuration on package install.
  * debian/rules: Generate org.freedesktop.RealtimeKit1.xml file, taken from
    Fedora packaging.
  * debian/control: rtkit needs to depend on adduser
  * Add watch file

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 03 Jul 2009 09:42:53 +1000

=== debian/control ===
Source: rtkit
Section: admin
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com>
Build-Depends: cdbs,
               quilt,
               debhelper (>= 7),
               autotools-dev,
               libdbus-1-dev,
               libpolkit-backend-1-dev,
               libcap-dev
Standards-Version: 3.9.0

Package: rtkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Realtime Policy and Watchdog Daemon
 RealtimeKit is a D-Bus system service that changes the
 scheduling policy of user processes/threads to SCHED_RR
 (i.e. realtime scheduling mode) on request. It is intended to
 be used as a secure mechanism to allow real-time scheduling to
 be used by normal user processes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

common-install-arch::
	$(CURDIR)/rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml
	install -m 644 -D org.freedesktop.RealtimeKit1.xml $(CURDIR)/debian/rtkit/usr/share/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml

=== debian/watch ===
# Control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://0pointer.de/public/ rtkit-(.*)\.tar\.gz

## rtkit 0.9

=== debian/changelog ===
rtkit (0.9-2) unstable; urgency=low

  * Reduce the delta between Debian and Ubuntu:
    - Re-introduce Ubuntu-specific patch, which gets applied to Ubuntu
      only.

 -- Alessio Treglia <alessio@debian.org>  Mon, 15 Nov 2010 01:24:38 +0100

rtkit (0.9-1) unstable; urgency=low

  * Initial Debian package. (Closes: #535426)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 02 Nov 2010 14:22:37 -0400

=== debian/control ===
Source: rtkit
Section: admin
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Luke Yelavich <themuso@ubuntu.com>
Build-Depends: cdbs,
 debhelper (>= 7.0.50~),
 autotools-dev,
 libdbus-1-dev,
 libpolkit-backend-1-dev,
 libcap-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtkit.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtkit.git
Homepage: http://0pointer.de/public/

Package: rtkit
Architecture: any
Depends: ${shlibs:Depends},
 adduser,
 ${misc:Depends}
Description: Realtime Policy and Watchdog Daemon
 RealtimeKit is a D-Bus system service that changes the
 scheduling policy of user processes/threads to SCHED_RR
 (i.e. realtime scheduling mode) on request. It is intended to
 be used as a secure mechanism to allow real-time scheduling to
 be used by normal user processes.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 common-install-arch::
 	$(CURDIR)/rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

## rtkit 0.10

=== debian/changelog ===
rtkit (0.10-3) unstable; urgency=high

  * Update debian/copyright.
  * Add dbus, policykit-1 on Recommends. (Closes: #657351)
  * Fix CVE-2013-4326 (Closes: #723714)

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Sep 2013 09:30:47 +0100

rtkit (0.10-2) unstable; urgency=low

  * debian/patches/02-fix-undropped-supp-groups.patch:
    - Fix a security bug of not dropping supplemental groups.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 16:58:35 +0200

rtkit (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Mar 2011 22:05:48 +0100

rtkit (0.9-3) unstable; urgency=low

  * Pass systemd unit dir to the configure script, thanks to
    Daniel Schaal for the patch (Closes: #612084).

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 10:02:26 +0100

=== debian/control ===
Source: rtkit
Section: admin
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Luke Yelavich <themuso@ubuntu.com>
Build-Depends:
 autotools-dev,
 cdbs,
 debhelper (>= 7.0.50~),
 libcap-dev,
 libdbus-1-dev,
 libpolkit-backend-1-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtkit.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtkit.git
Homepage: http://0pointer.de/public/

Package: rtkit
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 dbus,
 policykit-1
Description: Realtime Policy and Watchdog Daemon
 RealtimeKit is a D-Bus system service that changes the
 scheduling policy of user processes/threads to SCHED_RR
 (i.e. realtime scheduling mode) on request. It is intended to
 be used as a secure mechanism to allow real-time scheduling to
 be used by normal user processes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system

common-install-arch::
	$(CURDIR)/rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml
	install -m 644 -D org.freedesktop.RealtimeKit1.xml $(CURDIR)/debian/rtkit/usr/share/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml

=== debian/watch ===
version=3

http://0pointer.de/public/rtkit-(.*)\.tar\.gz

## rtkit 0.11

=== debian/changelog ===
rtkit (0.11-4) unstable; urgency=medium

  * Remove stale ubuntu.series file.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 24 Oct 2015 18:44:16 -0300

rtkit (0.11-3) unstable; urgency=medium

  [ Felipe Sateler ]
  * Add myself to uploaders
  * Add patch to fix rtkit-test failure
  * Install rtkit test program
  * Use autoreconf at build
  * Fix linkage with librt (Closes: #802110)
  * Build rtkit out-of-tree
  * Fixup build in outoftree
  * Pick up no-ptrace patch from ubuntu.

  [ Alessio Treglia ]
  * Drop 02-fix-undropped-supp-groups.patch.

 -- Felipe Sateler <fsateler@debian.org>  Sun, 18 Oct 2015 12:45:11 -0300

rtkit (0.11-2) unstable; urgency=medium

  * Team upload

  * Remove build dependency on libpolkit-backend-1-dev, it is not used
    (Closes: #696900)
  * Drop removed ControlGroup stanza (Closes: #747568)

 -- Felipe Sateler <fsateler@debian.org>  Sun, 16 Nov 2014 15:56:39 -0300

rtkit (0.11-1) unstable; urgency=low

  * New upstream release.
  * Drop 02-fix-undropped-supp-groups.patch, already adopted upstream.
  * debian/watch: New tarballs seem to be provided in xz format.
  * Fix multiple issues in debian/copyright:
    - Fix wrong License fields and files listing.
    - Update copyright holders information.
  * Fix VCS tags.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 14:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Luke Yelavich <themuso@ubuntu.com>
+ Luke Yelavich <themuso@ubuntu.com>,
+ Felipe Sateler <fsateler@debian.org>
 Build-Depends:
  autotools-dev,
  cdbs,
  debhelper (>= 7.0.50~),
  libcap-dev,
  libdbus-1-dev,
- libpolkit-backend-1-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/rtkit.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rtkit.git
+ dh-autoreconf,
+Standards-Version: 3.9.5
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/rtkit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtkit.git
 Homepage: http://0pointer.de/public/
 
 Package: rtkit

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system
DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

common-install-arch::
	$(DEB_BUILDDIR)/rtkit-daemon --introspect > $(DEB_BUILDDIR)/org.freedesktop.RealtimeKit1.xml
	install -m 644 -D $(DEB_BUILDDIR)/org.freedesktop.RealtimeKit1.xml $(CURDIR)/debian/rtkit/usr/share/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
	install -m 755 $(DEB_BUILDDIR)/rtkit-test $(CURDIR)/debian/rtkit/usr/lib/rtkit/rtkit-test

=== debian/watch ===
version=3

http://0pointer.de/public/rtkit-(.*)\.tar\.xz

## rtkit 0.12

=== debian/changelog ===
rtkit (0.12-4) unstable; urgency=medium

  * Fix FTBFS in arm* targets.
    Don't use assembler files directly, but rather use xxd to generate a C source file
  * installed-tests: fix dbus start instruction.
    The arguments where in the wrong order

 -- Felipe Sateler <fsateler@debian.org>  Sat, 23 Mar 2019 20:19:44 -0300

rtkit (0.12-3) unstable; urgency=medium

  * autopkgtest: Start dbus before trying to run rtkit.
    Otherwise it might not be runing. We might not have a fully booted
    system

 -- Felipe Sateler <fsateler@debian.org>  Tue, 19 Mar 2019 22:16:13 -0300

rtkit (0.12-2) unstable; urgency=medium

  * Add autopkgtest for running rtkit-test

 -- Felipe Sateler <fsateler@debian.org>  Fri, 08 Mar 2019 10:34:54 -0300

rtkit (0.12-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Felipe Sateler ]
  * Update to new upstream URL
  * Change watch file to check upstream gpg signature
  * New upstream version 0.12
    - Remove all patches - applied upstream
    - XML Introspection file installed by upstream build system now, so
      don't generate and install it anymore
  * Move dbus policy from /etc to /usr.
    Remove the old conffile on upgrades
  * Adjust to unvendoring of sd-daemon library.
    Add libsystemd-dev Build-Dependency, and remove references from
    d/copyright
  * Bump Standards-Version
  * Bump debhelper compat to 12
  * Add Rules-Requires-Root: no, since we don't need root
  * Install rtkit test to /usr/libexec/installed-tests

 -- Felipe Sateler <fsateler@debian.org>  Thu, 07 Mar 2019 15:35:15 -0300

rtkit (0.11-6) unstable; urgency=medium

  * Move dbus and polkit from Recommends to Depends
    rtkit can't do much really without either of them so bump them to Depends.
    (Closes: #881342)
  * Switch maintainer to debian-multimedia@l.d.o since alioth will be going away
  * Update Vcs-* to point to salsa
  * Update standards-version (no changes needed)
  * Drop dh-autoreconf and autotools-dev Build-Dependencies, implied by debhelper compat 10

 -- Felipe Sateler <fsateler@debian.org>  Fri, 16 Feb 2018 13:59:32 -0300

rtkit (0.11-5) unstable; urgency=medium

  [ Felipe Sateler ]
  * Update Vcs-* urls
  * Stop the rktid daemon when removing the package. (Closes: #813149)
  * Bump debhelper compat level to 10
  * Switch from cdbs to dh sequencer
  * Enable hardening flags
  * Don't start or enable the rtkit daemon by default.
    Debhelper 10 enables the systemd addon by default, so disable the
    starting on install it brings.
  * Bump standards-version (no changes needed)

  [ Andrew Shadura ]
  * Add a format string to dbus_message_new_error_printf.
    Fixes an FTBFS due to -Werror=format-security (Closes: #855605)

 -- Felipe Sateler <fsateler@debian.org>  Tue, 27 Jun 2017 22:14:43 -0400

=== debian/control ===
Source: rtkit
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Luke Yelavich <themuso@ubuntu.com>,
 Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 libcap-dev,
 libdbus-1-dev,
 libsystemd-dev,
 xxd,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/rtkit
Vcs-Git: https://salsa.debian.org/multimedia-team/rtkit.git
Homepage: https://github.com/heftig/rtkit
Rules-Requires-Root: no

Package: rtkit
Architecture: any
Depends:
 adduser,
 dbus,
 policykit-1,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Realtime Policy and Watchdog Daemon
 RealtimeKit is a D-Bus system service that changes the
 scheduling policy of user processes/threads to SCHED_RR
 (i.e. realtime scheduling mode) on request. It is intended to
 be used as a secure mechanism to allow real-time scheduling to
 be used by normal user processes.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-systemdsystemunitdir=/lib/systemd/system \

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/tests/control ===
Tests: installed-tests
Depends: dbus, rtkit
Restrictions: needs-root, isolation-container

## rtkit 0.13

=== debian/changelog ===
rtkit (0.13-5build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:41 +0200

rtkit (0.13-5) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Simon McVittie ]
  * d/control: Depend on polkitd | policykit-1 (Closes: #1020598, #1025609)
  * d/control: Depend on default-dbus-system-bus | dbus-system-bus
    (Closes: #1023850)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Feb 2023 00:08:26 +0100

rtkit (0.13-4) unstable; urgency=medium

  * Really fix systemd service install location (Closes: #956672)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 25 Apr 2020 11:32:55 -0400

rtkit (0.13-3) unstable; urgency=medium

  * Fix typo and install systemd service at the correct location
    (Closes: #956672)

 -- Felipe Sateler <fsateler@debian.org>  Tue, 14 Apr 2020 15:19:09 -0400

rtkit (0.13-2) unstable; urgency=medium

  * The brown paper bag release.
  * Add missing build-depends on meson and ninja
  * Fix build check for librt

 -- Felipe Sateler <fsateler@debian.org>  Sat, 11 Apr 2020 10:56:46 -0400

rtkit (0.13-1) unstable; urgency=medium

  * New upstream version 0.13
    - Drop all patches -- applied upstream
  * Use meson build system.
    Add patch to install rtkitctl to sbin, as was bone by autotools

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Apr 2020 12:18:32 -0400

rtkit (0.12-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Felipe Sateler ]
  * Mark installed-tests as having isolation-machine restriction. Turns out that
    depending on the container manager, realtime operations might not be
    allowed. Thus, let's require a machine for it (Closes: #946104)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 04 Apr 2020 12:10:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: rtkit
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Luke Yelavich <themuso@ubuntu.com>,
- Felipe Sateler <fsateler@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
@@ -11,8 +11,10 @@
  libcap-dev,
  libdbus-1-dev,
  libsystemd-dev,
+ meson,
+ ninja-build,
  xxd,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rtkit
 Vcs-Git: https://salsa.debian.org/multimedia-team/rtkit.git
 Homepage: https://github.com/heftig/rtkit
@@ -22,8 +24,8 @@
 Architecture: any
 Depends:
  adduser,
- dbus,
- policykit-1,
+ default-dbus-system-bus | dbus-system-bus,
+ polkitd | policykit-1,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Realtime Policy and Watchdog Daemon

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
	https://github.com/heftig/rtkit/releases \
	(?:.*?/)?rtkit-(\d[\d.]*)\.tar\.xz debian uupdate

## rtkit 0.14

=== debian/changelog ===
rtkit (0.14-1) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * New upstream version 0.14
  * d/watch: switch to version 5 and target the new upstream location
  * Add debian/salsa-ci.yml
  * gbp: drop compression option since there is no upstream xz tarball anymore
  * Drop all patches, merged upstream
  * Update links to the new home on gitlab.freedesktop.org

  [ Luca Boccassi ]
  * Stop deleting system user on remove/purge
  * Install and use sysusers.d config file

  [ Sebastian Ramacher ]
  * debian/:
    - Remove no longer needed maintscript
    - Query systemd service installation dir via pkgconf
  * debian/control:
    - Drop Priority: optional
    - Drop RRR: no
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Fix lintian warning on polkitd dependency
  * debian/rules: Drop handling of autotools

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Feb 2026 22:26:12 +0100

rtkit (0.13-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install systemd units into /usr. (Closes: #1064316)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 00:50:40 +0200

=== debian/control ===
Source: rtkit
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Luke Yelavich <themuso@ubuntu.com>,
Section: admin
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-installsysusers,
 libcap-dev,
 libdbus-1-dev,
 libsystemd-dev,
 meson,
 ninja-build,
 systemd-dev,
 xxd,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/multimedia-team/rtkit
Vcs-Git: https://salsa.debian.org/multimedia-team/rtkit.git
Homepage: https://gitlab.freedesktop.org/pipewire/rtkit

Package: rtkit
Architecture: any
Depends:
 default-dbus-system-bus | dbus-system-bus,
 polkitd | pkexec,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Realtime Policy and Watchdog Daemon
 RealtimeKit is a D-Bus system service that changes the
 scheduling policy of user processes/threads to SCHED_RR
 (i.e. realtime scheduling mode) on request. It is intended to
 be used as a secure mechanism to allow real-time scheduling to
 be used by normal user processes.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_update_autotools_config:
	# pass

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibsystemd=enabled \
		-Dinstalled_tests=true \

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/pipewire/rtkit
